View Issue Details

IDProjectCategoryView StatusLast Update
0020103mantisbtcustom fieldspublic2016-06-12 00:42
ReportercproensaAssigned Tocproensa 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020103: display custom field values overflows container
Description

having an enumeration custom field with a long list of values, the display table is stretched horizontally and overflows the table container

manage_custom_field_page.php

TagsNo tags attached.

Activities

cproensa

cproensa

2015-09-11 06:01

developer  

cf_nowrap.png (13,581 bytes)
cf_nowrap.png (13,581 bytes)
cproensa

cproensa

2015-09-11 06:04

developer   ~0051447

proposed fix by adding zero width spaces after each '|' to allow line breaks by browser reneder.

implemented here:
https://github.com/mantisbt/mantisbt/pull/647

attached screenshot for result.



cf_wrap_with_zwsp.png (39,558 bytes)
cf_wrap_with_zwsp.png (39,558 bytes)
dregad

dregad

2016-03-07 06:06

developer   ~0052692

For the record: original proposition described in 0020103:0051447 was later amended to wrap separators in spaces.

Related Changesets

MantisBT: master bd49dc00

2015-09-11 05:47:54

cproensa


Committer: dregad Details Diff
Prevent custom field values list from overflowing container

Adds spaces to custom field separator to allow line breaks.

Fixes 0020103
Pull Request https://github.com/mantisbt/mantisbt/pull/647

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - manage_custom_field_page.php Diff File

Issue History

Date Modified Username Field Change
2015-09-11 06:01 cproensa New Issue
2015-09-11 06:01 cproensa File Added: cf_nowrap.png
2015-09-11 06:04 cproensa File Added: cf_wrap_with_zwsp.png
2015-09-11 06:04 cproensa Note Added: 0051447
2015-09-11 08:31 dregad Severity minor => tweak
2015-09-11 08:31 dregad Status new => acknowledged
2015-09-12 01:22 vboctor Assigned To => community
2015-09-12 01:22 vboctor Status acknowledged => assigned
2016-01-19 15:26 atrol Assigned To community => cproensa
2016-03-07 06:04 dregad Changeset attached => MantisBT master bd49dc00
2016-03-07 06:04 dregad Assigned To cproensa => dregad
2016-03-07 06:04 dregad Status assigned => resolved
2016-03-07 06:04 dregad Resolution open => fixed
2016-03-07 06:04 dregad Fixed in Version => 1.3.0-rc.2
2016-03-07 06:05 dregad Assigned To dregad => cproensa
2016-03-07 06:05 dregad Target Version => 1.3.0-rc.2
2016-03-07 06:06 dregad Note Added: 0052692
2016-06-12 00:42 vboctor Status resolved => closed